import request from '@/utils/request'

export function listBanner(query) {
  return request({
    url: '/questions/list',
    method: 'get',
    params: query
  })
}


export function createBanner(data) {
  return request({
    url: '/questions/create',
    method: 'post',
    data
  })
}

export function readBanner(data) {
  return request({
    url: '/questions/read',
    method: 'get',
    data
  })
}

export function updateBanner(data) {
  return request({
    url: '/questions/update',
    method: 'post',
    data
  })
}

export function deleteBanner(data) {
  return request({
    url: '/questions/delete',
    method: 'post',
    data
  })
}

export function createContribute(data) {
  return request({
    url: '/contribute/create',
    method: 'post',
    data
  })
}
